<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
function getTpl($p)
{
	$p = trim(strtolower($p));
	
	
	switch($p)
	{
		case 'forum':
		case 'newpost':
		case 'showtopic':
		case 'addtopic':
		case 'showforum':
		case 'showforums':
		case 'opentopic':
		case 'closetopic':
		case 'move':
		case 'newtopic':
		case 'addpost' :
		case 'user' :
			$p = 'forums';
		break;
		
		case '':
		case 'notfound':
      $p = 'content';
		break;
	}

	if(defined('BLANC') && BLANC == 1) 
	{ 
		return 'message_blanc.tpl';
	} else {
		if(defined('IS_MODULE') && defined('MODULE_TPL'))
		{
			if(!file_exists($GLOBALS['config']['source'] . '/page/' . MODULE_TPL) ) 
				return 'main.tpl';
			else
				return MODULE_TPL;
		} else {
			$sql_tpl = $GLOBALS['db']->Query("SELECT Tpl_{$p} FROM " . PREFIX . "_sektionen WHERE Id = '" . $_SESSION['Area'] . "'");
			$row_tpl = $sql_tpl->fetcharray();
			if(!is_array($row_tpl) || empty($row_tpl) || !file_exists($GLOBALS['config']['source'] . '/page/' . $row_tpl['Tpl_' . $p]) ) 
				return 'main.tpl';
			else
				return $row_tpl['Tpl_' . $p];
		}
	}
	
}
?>
